function macrorugo_searchQ(ks, D, k, Cd0, S, B, h, C, z_amont, long, bDbg)
    printf("ks=%f\n", ks)
    printf("D=%f\n", D)
    printf("k=%f\n", k)
    printf("Cd0=%f\n", Cd0)
    printf("S=%f\n", S)
    printf("B=%f\n", B)
    printf("h=%f\n", h)
    printf("C=%f\n", C)

    maxfun=5000;
    maxiter=5000;
    tolfun=1e-24;
    tolx=1e-24;
    if bDbg then
        maxiter=1
    end
    opt = optimset('MaxIter',maxiter,'MaxFunEvals',maxfun,'TolFun',tolfun,'TolX',tolx)
    if Cd0==2; sigma=1; else sigma=%pi/4; end
    g=9.81
    N=0;
    q0=(2*g.*S.*D.*(1-(sigma*C))/(Cd0.*C.*(1+N))).^0.5*h*B;
    fVal = find_Q_nat(q0,ks,D,k,Cd0,S,B,h,C,sigma,%t);
    printf("find_Q_nat(%f)=%f\n",q0,fVal);
    [Q fVal, exitflag, outputs] = fminsearch(list(find_Q_nat, ks,D,k,Cd0,S,B,h,C,sigma,bDbg), q0, opt);
    printf("Q=%f  fVal=%f\n",Q, fVal);
    macrorugo_resultComp(z_amont, S, long, Q, B, h, C, Cd0, k, D)
endfunction
