import { Message, MessageCode } from "./message";

// tslint:disable-next-line:class-name
export class cLog {
    private _messages: Message[] = [];

    public add(m: Message) {
        this._messages.push(m);
    }

    public addLog(l: cLog) {
        for (const m of l.messages) {
            this._messages.push(m);
        }
    }

    /**
     * insère un message en début de liste
     */
    public insert(m: Message) {
        this._messages.unshift(m);
    }

    public get messages() {
        return this._messages;
    }

    public toString(): string {
        return this._messages.join("\n");
    }
}
